svn commit: r1019521 [7/8] - in /websites/production/db/content/derby: ./ blogs/ dev/ integrate/ manuals/ papers/ papers/DerbyTut/ releases/

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

svn commit: r1019521 [7/8] - in /websites/production/db/content/derby: ./ blogs/ dev/ integrate/ manuals/ papers/ papers/DerbyTut/ releases/

rhillegas
Modified: websites/production/db/content/derby/releases/release-10.5.3.0.html
==============================================================================
--- websites/production/db/content/derby/releases/release-10.5.3.0.html (original)
+++ websites/production/db/content/derby/releases/release-10.5.3.0.html Sat Oct 14 18:58:50 2017
@@ -3,8 +3,9 @@
 <head>
 <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta content="Apache Forrest" name="Generator">
-<meta name="Forrest-version" content="0.9">
+<meta name="Forrest-version" content="0.8">
 <meta name="Forrest-skin-name" content="pelt">
+<meta name="generator" content="">
 <title>Apache Derby 10.5.3.0 Release</title>
 <link type="text/css" href="../skin/basic.css" rel="stylesheet">
 <link media="screen" type="text/css" href="../skin/screen.css" rel="stylesheet">
@@ -484,7 +485,6 @@ document.write("Last Published: " + docu
           &nbsp;<input value="+a" class="biggerfont" title="Enlarge text" onclick="ndeSetTextSize('incr'); return false;" type="button">
 </div>
 <h1>Apache Derby 10.5.3.0 Release</h1>
-<div id="front-matter">
 <div id="minitoc-area">
 <ul class="minitoc">
 <li>
@@ -523,8 +523,7 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 </div>
-</div>
-<a name="Distributions"></a>
+<a name="N10010"></a><a name="Distributions"></a>
 <h2 class="boxed">Distributions</h2>
 <div class="section">
 <p>Use the links below to download a distribution of Apache Derby. You should <strong>always</strong> <a href="#Verifying+releases">verify the integrity</a> of distribution files downloaded from a mirror.</p>
@@ -557,11 +556,11 @@ document.write("Last Published: " + docu
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.5.3.0/derby_ui_doc_plugin_1.1.2.zip">derby_ui_doc_plugin_1.1.2.zip</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.5.3.0/derby_ui_doc_plugin_1.1.2.zip.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.5.3.0/derby_ui_doc_plugin_1.1.2.zip.md5">MD5</a>]</p>
 <p>Please note: both plugins must be installed for full functionality. For information on installing and using the Derby plugins for Eclipse, please see the <a href="http://db.apache.org/derby/integrate/plugin_howto.html">Using the 10 Core and 1.1 UI Derby plug-ins</a> page.</p>
 </div>
-<a name="Release Notes for Derby 10.5.3.0"></a>
+<a name="N100BC"></a><a name="Release Notes for Derby 10.5.3.0"></a>
 <h2 class="boxed">Release Notes for Derby 10.5.3.0</h2>
 <div class="section">
 <p>These notes describe the difference between Derby release 10.5.3.0 and the preceding release 10.5.1.1.</p>
-<a name="Overview"></a>
+<a name="N100C4"></a><a name="Overview"></a>
 <h3 class="boxed">Overview</h3>
 <p>Derby is a pure Java relational database engine using standard SQL and JDBC as its APIs.</p>
 <p>Derby functionality includes:</p>
@@ -571,10 +570,10 @@ document.write("Last Published: " + docu
 <li>Network client JDBC drivers</li>
 <li>Command line tools: ij (SQL scripting), dblook (schema dump) and sysinfo (system info)</li>
 </ul>
-<a name="New+Features"></a>
+<a name="N100D7"></a><a name="New+Features"></a>
 <h3 class="boxed">New Features</h3>
 <p>This is a bug fix release and also provides localization of new 10.5 messages. No new features were added.</p>
-<a name="Bug+Fixes"></a>
+<a name="N100DF"></a><a name="Bug+Fixes"></a>
 <h3 class="boxed">Bug Fixes</h3>
 <p>The following issues are addressed by Derby release 10.5.3.0. These issues are not addressed in the preceding, deprecated 10.5.2.0 release. Most significantly, Derby 10.5.3.0 carries the fix to the wrong-results bug which caused the community to abandon 10.5.2.0: <a class="external" href="http://issues.apache.org/jira/browse/DERBY-4331"><strong>DERBY-4331</strong></a>
 </p>
@@ -799,7 +798,7 @@ document.write("Last Published: " + docu
 <td><a class="external" href="http://issues.apache.org/jira/browse/DERBY-1209">DERBY-1209</a></td><td>It would be good to add an example to the SYSCS_UTIL.SYSCS_CHECK_TABLE documentation for how to check all tables</td>
 </tr>
 </table>
-<a name="Issues"></a>
+<a name="N1030F"></a><a name="Issues"></a>
 <h3 class="boxed">Issues</h3>
 <p>Compared with the previous release (10.5.1.1), Derby release 10.5.3.0 introduces the following new features and incompatibilities. These merit your special attention.</p>
 <ul>
@@ -813,31 +812,31 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 <hr>
-<a name="Note+for+DERBY-4230"></a>
+<a name="N10326"></a><a name="Note+for+DERBY-4230"></a>
 <h4>Note for DERBY-4230</h4>
-<a name="Summary+of+Change"></a>
+<a name="N1032C"></a><a name="Summary+of+Change"></a>
 <h5>Summary of Change</h5>
 <p>In order to see the fix for DERBY-4230 for a view created with a previous release, users must drop and recreate the view.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
+<a name="N10332"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>DERBY-4230 fixed an issue where an extra column might appear in DatabaseMetaData.getColumns() for a view that uses a group by and an expression in the select list. The problem occurred during create view with the old release. After updating your derby jars to a release that has the fix, if you still see the behavior, you will need to drop and recreate the view to get the fix.</p>
-<a name="Incompatibilities+with+Previous+Release"></a>
+<a name="N10338"></a><a name="Incompatibilities+with+Previous+Release"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>none</p>
-<a name="Rationale+for+Change"></a>
+<a name="N1033E"></a><a name="Rationale+for+Change"></a>
 <h5>Rationale for Change</h5>
 <p>The change was made to fix a regression introduced in version 10.3.1.4 by DERBY-681.</p>
-<a name="Application+Changes+Required"></a>
+<a name="N10344"></a><a name="Application+Changes+Required"></a>
 <h5>Application Changes Required</h5>
 <p>Users must drop an recreate affected views to see the fix for DERBY-4230.</p>
 <hr>
-<a name="Note+for+DERBY-3991"></a>
+<a name="N1034B"></a><a name="Note+for+DERBY-3991"></a>
 <h4>Note for DERBY-3991</h4>
-<a name="Summary+of+Change-N10348"></a>
+<a name="N10351"></a><a name="Summary+of+Change-N10351"></a>
 <h5>Summary of Change</h5>
 <p>
 <tt>Clob.truncate</tt> now presents a more specific error message for a negative length.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10350"></a>
+<a name="N10359"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10359"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>Specifying a negative length will raise an <em>SQLException</em> with a different state;</p>
 <ul>
@@ -848,16 +847,16 @@ document.write("Last Published: " + docu
 </ul>
 <br>
 <br>
-<a name="Incompatibilities+with+Previous+Release-N10364"></a>
+<a name="N1036D"></a><a name="Incompatibilities+with+Previous+Release-N1036D"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Applications catching a specific exception based on <em>SQLState</em> may behave differently. The incompatibility can only be seen if the application calls <tt>Clob.truncate</tt> with a negative length using the embedded driver.</p>
-<a name="Rationale+for+Change-N10370"></a>
+<a name="N10379"></a><a name="Rationale+for+Change-N10379"></a>
 <h5>Rationale for Change</h5>
 <p>The embedded driver was changed to be consistent with the client driver for the error message raised when invoking <tt>Clob.truncate</tt> with a negative length.</p>
-<a name="Application+Changes+Required-N10379"></a>
+<a name="N10382"></a><a name="Application+Changes+Required-N10382"></a>
 <h5>Application Changes Required</h5>
 <p>Look for SQLState XJ071 instead of XJ070 when <tt>Clob.truncate</tt> is called to catch invocations specifying a negative length.</p>
-<a name="Build+Environment"></a>
+<a name="N1038B"></a><a name="Build+Environment"></a>
 <h3 class="boxed">Build Environment</h3>
 <p>Derby release 10.5.3.0 was built using the following environment:</p>
 <ul>
@@ -878,7 +877,7 @@ document.write("Last Published: " + docu
 <li>
 <strong>Compiler</strong> - The Apple Java 5 compiler was used to compile all classes. Platform-specific code was compiled against the corresponding platform libraries listed above.</li>
 </ul>
-<a name="Verifying+releases"></a>
+<a name="N103B4"></a><a name="Verifying+releases"></a>
 <h3 class="boxed">Verifying releases</h3>
 <p>It is essential that you verify the integrity of the downloaded files using the PGP and MD5 signatures. MD5 verification ensures the file was not corrupted during the download process. PGP verification ensures that the file came from a certain person.</p>
 <p>The PGP signatures can be verified using <a class="external" href="http://www.pgpi.org/">PGP</a> or <a class="external" href="http://www.gnupg.org/">GPG</a>. First download the Apache Derby <a class="external" href="http://www.apache.org/dist/db/derby/KEYS">KEYS</a> as well as the <span class="codefrag">asc</span> signature file for the particular distribution. It is important that you get these files from the ultimate trusted source - the main ASF distribution site, rather than from a mirror. Then verify the signatures using ...</p>
@@ -916,7 +915,7 @@ document.write("Last Published: " + docu
 </div>
 <div class="copyright">
         Copyright &copy;
-         2004-2015 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
+         2004-2017 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
 <div id="feedback">
     Send feedback about the website to:
   <a id="feedbackto" href="mailto:[hidden email]?subject=Feedback%C2%A0releases/release-10.5.3.0.html">[hidden email]</a>

Modified: websites/production/db/content/derby/releases/release-10.6.1.0.html
==============================================================================
--- websites/production/db/content/derby/releases/release-10.6.1.0.html (original)
+++ websites/production/db/content/derby/releases/release-10.6.1.0.html Sat Oct 14 18:58:50 2017
@@ -3,8 +3,9 @@
 <head>
 <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta content="Apache Forrest" name="Generator">
-<meta name="Forrest-version" content="0.9">
+<meta name="Forrest-version" content="0.8">
 <meta name="Forrest-skin-name" content="pelt">
+<meta name="generator" content="">
 <title>Apache Derby 10.6.1.0 Release</title>
 <link type="text/css" href="../skin/basic.css" rel="stylesheet">
 <link media="screen" type="text/css" href="../skin/screen.css" rel="stylesheet">
@@ -484,7 +485,6 @@ document.write("Last Published: " + docu
           &nbsp;<input value="+a" class="biggerfont" title="Enlarge text" onclick="ndeSetTextSize('incr'); return false;" type="button">
 </div>
 <h1>Apache Derby 10.6.1.0 Release</h1>
-<div id="front-matter">
 <div id="minitoc-area">
 <ul class="minitoc">
 <li>
@@ -544,8 +544,7 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 </div>
-</div>
-<a name="Distributions"></a>
+<a name="N10010"></a><a name="Distributions"></a>
 <h2 class="boxed">Distributions</h2>
 <div class="section">
 <p>Use the links below to download a distribution of Apache Derby. You should <strong>always</strong> <a href="#Verifying+releases">verify the integrity</a> of distribution files downloaded from a mirror.</p>
@@ -578,12 +577,12 @@ document.write("Last Published: " + docu
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.6.1.0/derby_ui_doc_plugin_1.1.2.zip">derby_ui_doc_plugin_1.1.2.zip</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.6.1.0/derby_ui_doc_plugin_1.1.2.zip.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.6.1.0/derby_ui_doc_plugin_1.1.2.zip.md5">MD5</a>]</p>
 <p>Please note: both plugins must be installed for full functionality. For information on installing and using the Derby plugins for Eclipse, please see the <a href="http://db.apache.org/derby/integrate/plugin_howto.html">Using the 10 Core and 1.1 UI Derby plug-ins</a> page.</p>
 </div>
-<a name="Release Notes for Derby 10.6.1.0"></a>
+<a name="N100BC"></a><a name="Release Notes for Derby 10.6.1.0"></a>
 <h2 class="boxed">Release Notes for Derby 10.6.1.0</h2>
 <div class="section">
 <p>These notes describe the difference between Derby release 10.6.1.0 and the preceding release 10.5.3.0.</p>
 <p>In addition to many new features, 10.6.1.0 includes a fix for Security Bug CVE-2009-4269, affecting the BUILTIN authentication scheme and password hashing. For more information, see below.</p>
-<a name="Overview"></a>
+<a name="N100C6"></a><a name="Overview"></a>
 <h3 class="boxed">Overview</h3>
 <p>Derby is a pure Java relational database engine using standard SQL and JDBC as its APIs.</p>
 <p>Derby functionality includes:</p>
@@ -593,7 +592,7 @@ document.write("Last Published: " + docu
 <li>Network client JDBC drivers</li>
 <li>Command line tools: ij (SQL scripting), dblook (schema dump) and sysinfo (system info)</li>
 </ul>
-<a name="New+Features"></a>
+<a name="N100D9"></a><a name="New+Features"></a>
 <h3 class="boxed">New Features</h3>
 <p>This is a feature release. The following new features were added:</p>
 <ul>
@@ -630,7 +629,7 @@ document.write("Last Published: " + docu
 <li>
 <strong>Case-insensitive strings</strong> - Ability to ignore case in string comparisons and sorts.</li>
 </ul>
-<a name="Bug+Fixes"></a>
+<a name="N10122"></a><a name="Bug+Fixes"></a>
 <h3 class="boxed">Bug Fixes</h3>
 <p>The following issues are addressed by Derby release 10.6.1.0. These issues are not addressed in the preceding 10.5.3.0 release.</p>
 <table class="ForrestTable" cellspacing="1" cellpadding="4" border="2">
@@ -1364,7 +1363,7 @@ document.write("Last Published: " + docu
 <td><a class="external" href="https://issues.apache.org/jira/browse/DERBY-151">DERBY-151</a></td><td>Thread termination -) XSDG after operation is 'complete'</td>
 </tr>
 </table>
-<a name="Fix+for+Security+Bug+CVE-2009-4269"></a>
+<a name="N107D1"></a><a name="Fix+for+Security+Bug+CVE-2009-4269"></a>
 <h3 class="boxed">Fix for Security Bug CVE-2009-4269</h3>
 <p>Derby 10.6.1.0 also fixes a security flaw tracked by the Apache Common Vulnerabilities and Exposures id "CVE-2009-4269". This flaw made it easy to crack passwords managed by Derby's BUILTIN authentication logic. Originally, the BUILTIN logic was intended only for testing purposes. However, Derby's user documentation suggested that this scheme was production-ready and it appears that many users rely on BUILTIN authentication in production. Tracked by DERBY-4483, the flaw is addressed as follows:</p>
 <ol>
@@ -1383,7 +1382,7 @@ document.write("Last Published: " + docu
 </ul>
 </li>
 </ol>
-<a name="Issues"></a>
+<a name="N107F0"></a><a name="Issues"></a>
 <h3 class="boxed">Issues</h3>
 <p>Compared with the previous release (10.5.3.0), Derby release 10.6.1.0 introduces the following new features and incompatibilities. These merit your special attention.</p>
 <ul>
@@ -1397,12 +1396,12 @@ document.write("Last Published: " + docu
 <li>Note for DERBY-2769: Comprehensive validity checks for the parameters of <tt>Clob.setString</tt> have been introduced.</li>
 </ul>
 <hr>
-<a name="Note+for+DERBY-4602"></a>
+<a name="N10813"></a><a name="Note+for+DERBY-4602"></a>
 <h4>Note for DERBY-4602</h4>
-<a name="Summary+of+Change"></a>
+<a name="N10819"></a><a name="Summary+of+Change"></a>
 <h5>Summary of Change</h5>
 <p>Default hash algorithm for BUILTIN authentication changed to SHA-256</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
+<a name="N1081F"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>If a database that uses BUILTIN authentication is opened on a platform that does not support the new default hash algorithm (SHA-256), the following exception may be seen when connecting to the database or when setting the password for a user:</p>
 <pre>ERROR XBCXW: The message digest algorithm 'SHA-256' is not supported
@@ -1411,22 +1410,22 @@ cryptography provider that supports that
 algorithm in the derby.authentication.builtin.algorithm property.
 </pre>
 <p>The default algorithm is initialized to SHA-256 when the database is created. However, if SHA-256 is not available, it is initialized to the old default (SHA-1) instead. The error message above should therefore only be seen if the database was created on a platform that supports SHA-256 and opened on a platform that doesn't support SHA-256.</p>
-<a name="Incompatibilities+with+Previous+Release"></a>
+<a name="N10829"></a><a name="Incompatibilities+with+Previous+Release"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Databases created on a platform with support for the new default algorithm (SHA-256) may now require some changes before they can be used together with BUILTIN authentication on platforms that don't support the new algorithm. In previous releases, differences in the set of supported hash algorithms did not cause a need for changes when moving databases across platforms.</p>
-<a name="Rationale+for+Change"></a>
+<a name="N1082F"></a><a name="Rationale+for+Change"></a>
 <h5>Rationale for Change</h5>
 <p>The default algorithm in previous releases (SHA-1) is not considered secure enough for most uses by U.S. government agencies. SHA-256 is widely recognized as more secure than SHA-1 and is therefore used as the default if the platform on which the database is created supports the algorithm.</p>
-<a name="Application+Changes+Required"></a>
+<a name="N10835"></a><a name="Application+Changes+Required"></a>
 <h5>Application Changes Required</h5>
 <p>If a database cannot be used on a platform because of this issue, one of the following steps must be taken:</p>
-<a name="Alternative+1"></a>
+<a name="N1083B"></a><a name="Alternative+1"></a>
 <h5>Alternative 1</h5>
 <p>Recreate the database on the platform that doesn't support SHA-256. The new database will use the more widely available SHA-1 algorithm as default.</p>
-<a name="Alternative+2"></a>
+<a name="N10841"></a><a name="Alternative+2"></a>
 <h5>Alternative 2</h5>
 <p>Install a Java Cryptography Extension (JCE) Provider that supports the SHA-256 algorithm.</p>
-<a name="Alternative+3"></a>
+<a name="N10847"></a><a name="Alternative+3"></a>
 <h5>Alternative 3</h5>
 <p>On the platform on which the database was created, change the default algorithm to SHA-1 (or to some other algorithm known to be supported on the target platform) by executing the following SQL statement:</p>
 <pre>CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
@@ -1437,12 +1436,12 @@ algorithm in the derby.authentication.bu
         'derby.user.alice, 'secret)
 </pre>
 <hr>
-<a name="Note+for+DERBY-4483"></a>
+<a name="N10854"></a><a name="Note+for+DERBY-4483"></a>
 <h4>Note for DERBY-4483</h4>
-<a name="Summary+of+Change-N10851"></a>
+<a name="N1085A"></a><a name="Summary+of+Change-N1085A"></a>
 <h5>Summary of Change</h5>
 <p>Strong password substitution cannot be used with new defaults for BUILTIN authentication.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10857"></a>
+<a name="N10860"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10860"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>In a database created with the new version of Derby, the BUILTIN authentication provider will by default store passwords in a way that's not compatible with the strong password substitution security mechanism. Applications that attempt to connect to the database using the Derby network client driver with <tt>securityMechanism=8</tt> in the connection URL, will therefore fail to connect. The connection attempt will be refused with the following error message:</p>
 <pre>ERROR 08004: DERBY SQL error: SQLCODE: -1, SQLSTATE: 08004, SQLERRMC:
@@ -1452,20 +1451,20 @@ scheme which is not compatible with the
 security mechanism. If this error started after upgrade, refer to the
 release note for DERBY-4483 for options.
 </pre>
-<a name="Incompatibilities+with+Previous+Release-N10862"></a>
+<a name="N1086B"></a><a name="Incompatibilities+with+Previous+Release-N1086B"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Applications that use BUILTIN authentication and the strong password substitution security mechanism will not be able to establish connections to the database if the database uses the new defaults for BUILTIN authentication.</p>
 <p>Only databases created with the new version of Derby will automatically use the new defaults. Databases upgraded from previous versions of Derby will continue to use the old defaults, and they will not be affected unless the settings for BUILTIN authentication are changed manually to enable the new behaviour.</p>
-<a name="Rationale+for+Change-N1086A"></a>
+<a name="N10873"></a><a name="Rationale+for+Change-N10873"></a>
 <h5>Rationale for Change</h5>
 <p>The default BUILTIN authentication scheme used in previous releases has a weakness that makes it vulnerable to attacks. In the new release, an alternative BUILTIN authentication scheme without this vulnerability has been added. Despite this new scheme's incompatibility with strong password substitution, it was made the default for databases created with the new release of Derby in order to improve out-of-the-box security.</p>
-<a name="Application+Changes+Required-N10870"></a>
+<a name="N10879"></a><a name="Application+Changes+Required-N10879"></a>
 <h5>Application Changes Required</h5>
 <p>Applications that are affected by this incompatibility can be made to work by making one of the following changes:</p>
-<a name="Alternative+1%3A+Use+another+security+mechanism"></a>
+<a name="N1087F"></a><a name="Alternative+1%3A+Use+another+security+mechanism"></a>
 <h5>Alternative 1: Use another security mechanism</h5>
 <p>You can switch to another security mechanism by changing the value of the <tt>securityMechanism</tt> connection attribute. Only the strong password substitution security mechanism is incompatible with the new BUILTIN authentication. Note that if you pick one of the security mechanisms that send your credentials unencrypted over the network, you may want to enable network encryption and authentication with SSL/TLS. Details about how to change security mechanisms and how to enable SSL/TLS can be found in the Derby Server and Administration Guide.</p>
-<a name="Alternative+2%3A+Revert+to+the+old+BUILTIN+authentication+behaviour"></a>
+<a name="N10888"></a><a name="Alternative+2%3A+Revert+to+the+old+BUILTIN+authentication+behaviour"></a>
 <h5>Alternative 2: Revert to the old BUILTIN authentication behaviour</h5>
 <p>It is possible to revert to the old behaviour for BUILTIN authentication, which will make it possible to connect when using the strong password substitution security mechanism. To revert to the old behaviour, set the database property <tt>derby.authentication.builtin.algorithm</tt> to <tt>NULL</tt> (or to an empty string) by executing this SQL statement:</p>
 <pre>CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
@@ -1473,12 +1472,12 @@ release note for DERBY-4483 for options.
 </pre>
 <p>If you have created any users before setting the above property to <tt>NULL</tt>, you will also need to set the passwords for all those users again to ensure that they are stored using the old format, since setting this property does not change how any existing passwords are stored. Users whose passwords are stored using the old format will be able to connect to the database with strong password substitution.</p>
 <hr>
-<a name="Note+for+DERBY-4432"></a>
+<a name="N1089C"></a><a name="Note+for+DERBY-4432"></a>
 <h4>Note for DERBY-4432</h4>
-<a name="Summary+of+Change-N10899"></a>
+<a name="N108A2"></a><a name="Summary+of+Change-N108A2"></a>
 <h5>Summary of Change</h5>
 <p>The in-memory back end will no longer create a database if the virtual database directory already exists.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N1089F"></a>
+<a name="N108A8"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N108A8"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>If database 'memory:/tmp/a/myDB' already exists, an attempt to create 'memory:/tmp/a' results in:</p>
 <pre>ERROR XJ041: Failed to create database 'memory:/tmp/a', see the next exception for details.
@@ -1486,23 +1485,23 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 </pre>
 <br>
 <br>
-<a name="Incompatibilities+with+Previous+Release-N108A9"></a>
+<a name="N108B2"></a><a name="Incompatibilities+with+Previous+Release-N108B2"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>If two (or more) in-memory databases are created, the application may fail to create the second database if the database paths are overlapping.</p>
-<a name="Rationale+for+Change-N108AF"></a>
+<a name="N108B8"></a><a name="Rationale+for+Change-N108B8"></a>
 <h5>Rationale for Change</h5>
 <p>The fix makes the in-memory and the on-disk back ends consistent on this matter, and the change also fixes a memory leak when trying to boot a large number of non-existing in-memory databases (see <a class="external" href="https://issues.apache.org/jira/browse/DERBY-4432">DERBY-4432</a>).</p>
-<a name="Application+Changes+Required-N108B9"></a>
+<a name="N108C2"></a><a name="Application+Changes+Required-N108C2"></a>
 <h5>Application Changes Required</h5>
 <p>Adjust the paths of the in-memory databases if required. In some cases it may be sufficient to reorder the database creations, but this is not recommended as it would potentially have severe side-effects with the on-disk back end (a database nested within another database).</p>
 <p>There is no way to revert to the old behavior.</p>
 <hr>
-<a name="Note+for+DERBY-4380"></a>
+<a name="N108CB"></a><a name="Note+for+DERBY-4380"></a>
 <h4>Note for DERBY-4380</h4>
-<a name="Summary+of+Change-N108C8"></a>
+<a name="N108D1"></a><a name="Summary+of+Change-N108D1"></a>
 <h5>Summary of Change</h5>
 <p>Changed error code and message when referencing column not in scope in ON clause.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N108CE"></a>
+<a name="N108D7"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N108D7"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>In the previous releases, SQL statements that referenced columns that were not in scope in the ON clause of a JOIN, would under certain conditions fail with the following SQLState and message:</p>
 <pre>ERROR 42972: An ON clause associated with a JOIN operator is not valid.
@@ -1510,41 +1509,41 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 <p>Now, the statements that used to fail with that message will instead fail with the following SQLState and message:</p>
 <pre>ERROR 42X04: Column 'T1.X' is either not in any table in the FROM list or appears within a join specification and is outside the scope of the join specification or appears in a HAVING clause and is not in the GROUP BY list. If this is a CREATE or ALTER TABLE  statement then 'T1.X' is not a column in the target table.
 </pre>
-<a name="Rationale+for+Change-N108DA"></a>
+<a name="N108E3"></a><a name="Rationale+for+Change-N108E3"></a>
 <h5>Rationale for Change</h5>
 <p>This change was necessary because the code that decided which of the two errors to raise, contained some logic that was not compatible with the introduction of sub-queries in ON clauses. Additionally, the new message makes it easier to see what is the problem with the statement, as it mentions both why the ON clause is invalid and the name of the column that is out of scope.</p>
-<a name="Application+Changes+Required-N108E0"></a>
+<a name="N108E9"></a><a name="Application+Changes+Required-N108E9"></a>
 <h5>Application Changes Required</h5>
 <p>Applications that check for SQLState <span class="codefrag">42972</span> when SQLExceptions are raised, should now check for SQLState <span class="codefrag">42X04</span> instead.</p>
 <hr>
-<a name="Note+for+DERBY-4355"></a>
+<a name="N108F6"></a><a name="Note+for+DERBY-4355"></a>
 <h4>Note for DERBY-4355</h4>
-<a name="Summary+of+Change-N108F3"></a>
+<a name="N108FC"></a><a name="Summary+of+Change-N108FC"></a>
 <h5>Summary of Change</h5>
 <p>CROSS is now a reserved keyword and cannot be used as an unquoted identifier.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N108F9"></a>
+<a name="N10902"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10902"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>In previous releases of Derby, CROSS was not a reserved keyword, so applications could use CROSS as an identifier without quoting it. Applications that use CROSS as an identifier (for instance to name tables, views, columns, functions or procedures) and don't quote it, will now see errors similar to this one:</p>
 <pre>ERROR 42X01: Syntax error: Encountered "cross" at line 1, column 15.
 </pre>
-<a name="Incompatibilities+with+Previous+Release-N10901"></a>
+<a name="N1090A"></a><a name="Incompatibilities+with+Previous+Release-N1090A"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Applications that use CROSS as an unquoted identifier will experience syntax errors.</p>
-<a name="Rationale+for+Change-N10907"></a>
+<a name="N10910"></a><a name="Rationale+for+Change-N10910"></a>
 <h5>Rationale for Change</h5>
 <p>CROSS was made a reserved keyword in order to support the CROSS JOIN operator. Also, the SQL:2003 standard defines CROSS as a reserved keyword, so applications that use it as an unquoted identifier are not portable.</p>
-<a name="Application+Changes+Required-N1090D"></a>
+<a name="N10916"></a><a name="Application+Changes+Required-N10916"></a>
 <h5>Application Changes Required</h5>
 <p>SQL statements where CROSS is used as an unquoted identifier must be rewritten so that CROSS is enclosed in double quotes.</p>
 <p>Examples:</p>
 <p>The statement <span class="codefrag">create table cross(x int)</span> must be rewritten to <span class="codefrag">create table "CROSS"(x int)</span>. Similarly, the statement <span class="codefrag">select * from cross</span> will have to be rewritten to <span class="codefrag">select * from "CROSS"</span>.</p>
 <hr>
-<a name="Note+for+DERBY-4191"></a>
+<a name="N1092D"></a><a name="Note+for+DERBY-4191"></a>
 <h4>Note for DERBY-4191</h4>
-<a name="Summary+of+Change-N1092A"></a>
+<a name="N10933"></a><a name="Summary+of+Change-N10933"></a>
 <h5>Summary of Change</h5>
 <p>Some queries require additional SELECT privileges now.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10930"></a>
+<a name="N10939"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10939"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>In previous releases, certain queries incorrectly succeeded when the user lacked sufficient SELECT privileges. For instance, the following query succeeded even if the user did not have SELECT privilege on the table:</p>
 <pre>    select 1 from anotheruser.table1
@@ -1552,22 +1551,22 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 <p>And the following query succeeded if the user had UPDATE but not SELECT privilege on the column:</p>
 <pre>    update anotheruser.table1 set a = ( select max(a) + 2 from anotheruser.table1 );
 </pre>
-<a name="Incompatibilities+with+Previous+Release-N1093C"></a>
+<a name="N10945"></a><a name="Incompatibilities+with+Previous+Release-N10945"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Now Derby raises a SQLException for those situations. For the first query above, the user must now enjoy SELECT privilege on at least one column in the table. For the second query, the user must now enjoy SELECT as well as UPDATE privilege on the affected column.</p>
-<a name="Rationale+for+Change-N10942"></a>
+<a name="N1094B"></a><a name="Rationale+for+Change-N1094B"></a>
 <h5>Rationale for Change</h5>
 <p>The old behavior violated the SQL Standard. The new behavior is correct.</p>
-<a name="Application+Changes+Required-N10948"></a>
+<a name="N10951"></a><a name="Application+Changes+Required-N10951"></a>
 <h5>Application Changes Required</h5>
 <p>Database Administrators may need to grant users additional SELECT privileges.</p>
 <hr>
-<a name="Note+for+DERBY-3844"></a>
+<a name="N10958"></a><a name="Note+for+DERBY-3844"></a>
 <h4>Note for DERBY-3844</h4>
-<a name="Summary+of+Change-N10955"></a>
+<a name="N1095E"></a><a name="Summary+of+Change-N1095E"></a>
 <h5>Summary of Change</h5>
 <p>Applications may no longer obtain a LOB object, or a <tt>Reader</tt> or an <tt>InputStream</tt>, from the same column more than once per row.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10961"></a>
+<a name="N1096A"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N1096A"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>Derby will throw an exception with SQLState XCL18 (carrying the message "Stream or LOB value cannot be retrieved more than once") when any of the following result set methods are invoked for the second time on a given column on a row:</p>
 <ul>
@@ -1580,22 +1579,22 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 </ul>
 <br>
 <br>
-<a name="Incompatibilities+with+Previous+Release-N10976"></a>
+<a name="N1097F"></a><a name="Incompatibilities+with+Previous+Release-N1097F"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Applications which obtain two LOB objects from the same result set column on a row now fail.</p>
-<a name="Rationale+for+Change-N1097C"></a>
+<a name="N10985"></a><a name="Rationale+for+Change-N10985"></a>
 <h5>Rationale for Change</h5>
 <p>Obtaining several LOB objects from the same column causes resource management problems and intermittent errors (see <a class="external" href="https://issues.apache.org/jira/browse/DERBY-3844">DERBY-3844</a> for a description). The change is in line with the maximum portability statement found in the JavaDoc for <tt>java.sql.ResultSet</tt>.</p>
-<a name="Application+Changes+Required-N10989"></a>
+<a name="N10992"></a><a name="Application+Changes+Required-N10992"></a>
 <h5>Application Changes Required</h5>
 <p>Users must recode applications which obtain multiple LOB objects (<tt>java.sql.Blob</tt> or <tt>java.sql.Clob</tt>) on the same column. Note that for instance <tt>getCharacterStream(1)</tt> followed by <tt>getClob(1)</tt> will also raise the exception.</p>
 <hr>
-<a name="Note+for+DERBY-2769"></a>
+<a name="N109A5"></a><a name="Note+for+DERBY-2769"></a>
 <h4>Note for DERBY-2769</h4>
-<a name="Summary+of+Change-N109A2"></a>
+<a name="N109AB"></a><a name="Summary+of+Change-N109AB"></a>
 <h5>Summary of Change</h5>
 <p>Comprehensive validity checks for the parameters of <tt>Clob.setString</tt> have been introduced.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N109AB"></a>
+<a name="N109B4"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N109B4"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>There are three possible symptoms, all observable when invoking <tt>Clob.setString</tt>:</p>
 <ol>
@@ -1605,7 +1604,7 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 </ol>
 <br>
 <br>
-<a name="Incompatibilities+with+Previous+Release-N109C0"></a>
+<a name="N109C9"></a><a name="Incompatibilities+with+Previous+Release-N109C9"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p></p>
 <ol>
@@ -1620,10 +1619,10 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 </ol>
 <br>
 <br>
-<a name="Rationale+for+Change-N109E1"></a>
+<a name="N109EA"></a><a name="Rationale+for+Change-N109EA"></a>
 <h5>Rationale for Change</h5>
 <p>Make the parameter checking comply with the <tt>JDBC</tt> specification.</p>
-<a name="Application+Changes+Required-N109EA"></a>
+<a name="N109F3"></a><a name="Application+Changes+Required-N109F3"></a>
 <h5>Application Changes Required</h5>
 <p>The following rules must be followed to avoid exceptions being raised when invoking <tt>Clob.setString</tt>:</p>
 <ol>
@@ -1638,7 +1637,7 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 </ol>
 <br>
 <br>
-<a name="Build+Environment"></a>
+<a name="N10A18"></a><a name="Build+Environment"></a>
 <h3 class="boxed">Build Environment</h3>
 <p>Derby release 10.6.1.0 was built using the following environment:</p>
 <ul>
@@ -1657,7 +1656,7 @@ ERROR XBM0J: Directory memory:/tmp/a alr
 <li>
 <strong>JSR 169</strong> - J2ME support was built using libraries from phoneME Advanced Milestone Release 2.</li>
 </ul>
-<a name="Verifying+releases"></a>
+<a name="N10A3D"></a><a name="Verifying+releases"></a>
 <h3 class="boxed">Verifying releases</h3>
 <p>It is essential that you verify the integrity of the downloaded files using the PGP and MD5 signatures. MD5 verification ensures the file was not corrupted during the download process. PGP verification ensures that the file came from a certain person.</p>
 <p>The PGP signatures can be verified using <a class="external" href="http://www.pgpi.org/">PGP</a> or <a class="external" href="http://www.gnupg.org/">GPG</a>. First download the Apache Derby <a class="external" href="http://www.apache.org/dist/db/derby/KEYS">KEYS</a> as well as the <span class="codefrag">asc</span> signature file for the particular distribution. It is important that you get these files from the ultimate trusted source - the main ASF distribution site, rather than from a mirror. Then verify the signatures using ...</p>
@@ -1695,7 +1694,7 @@ document.write("Last Published: " + docu
 </div>
 <div class="copyright">
         Copyright &copy;
-         2004-2015 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
+         2004-2017 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
 <div id="feedback">
     Send feedback about the website to:
   <a id="feedbackto" href="mailto:[hidden email]?subject=Feedback%C2%A0releases/release-10.6.1.0.html">[hidden email]</a>

Modified: websites/production/db/content/derby/releases/release-10.6.2.1.html
==============================================================================
--- websites/production/db/content/derby/releases/release-10.6.2.1.html (original)
+++ websites/production/db/content/derby/releases/release-10.6.2.1.html Sat Oct 14 18:58:50 2017
@@ -3,8 +3,9 @@
 <head>
 <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta content="Apache Forrest" name="Generator">
-<meta name="Forrest-version" content="0.9">
+<meta name="Forrest-version" content="0.8">
 <meta name="Forrest-skin-name" content="pelt">
+<meta name="generator" content="">
 <title>Apache Derby 10.6.2.1 Release</title>
 <link type="text/css" href="../skin/basic.css" rel="stylesheet">
 <link media="screen" type="text/css" href="../skin/screen.css" rel="stylesheet">
@@ -484,7 +485,6 @@ document.write("Last Published: " + docu
           &nbsp;<input value="+a" class="biggerfont" title="Enlarge text" onclick="ndeSetTextSize('incr'); return false;" type="button">
 </div>
 <h1>Apache Derby 10.6.2.1 Release</h1>
-<div id="front-matter">
 <div id="minitoc-area">
 <ul class="minitoc">
 <li>
@@ -523,8 +523,7 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 </div>
-</div>
-<a name="Distributions"></a>
+<a name="N10010"></a><a name="Distributions"></a>
 <h2 class="boxed">Distributions</h2>
 <div class="section">
 <p>Use the links below to download a distribution of Apache Derby. You should <strong>always</strong> <a href="#Verifying+releases">verify the integrity</a> of distribution files downloaded from a mirror.</p>
@@ -557,11 +556,11 @@ document.write("Last Published: " + docu
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.6.2.1/derby_ui_doc_plugin_1.1.2.zip">derby_ui_doc_plugin_1.1.2.zip</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.6.2.1/derby_ui_doc_plugin_1.1.2.zip.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.6.2.1/derby_ui_doc_plugin_1.1.2.zip.md5">MD5</a>]</p>
 <p>Please note: both plugins must be installed for full functionality. For information on installing and using the Derby plugins for Eclipse, please see the <a href="http://db.apache.org/derby/integrate/plugin_howto.html">Using the 10 Core and 1.1 UI Derby plug-ins</a> page.</p>
 </div>
-<a name="Release Notes for Derby 10.6.2.1"></a>
+<a name="N100BC"></a><a name="Release Notes for Derby 10.6.2.1"></a>
 <h2 class="boxed">Release Notes for Derby 10.6.2.1</h2>
 <div class="section">
 <p>These notes describe the difference between Derby release 10.6.2.1 and the preceding release 10.6.1.0.</p>
-<a name="Overview"></a>
+<a name="N100C4"></a><a name="Overview"></a>
 <h3 class="boxed">Overview</h3>
 <p>Derby is a pure Java relational database engine using standard SQL and JDBC as its APIs.</p>
 <p>Derby functionality includes:</p>
@@ -571,14 +570,14 @@ document.write("Last Published: " + docu
 <li>Network client JDBC drivers</li>
 <li>Command line tools: ij (SQL scripting), dblook (schema dump) and sysinfo (sy stem info)</li>
 </ul>
-<a name="New+Features"></a>
+<a name="N100D7"></a><a name="New+Features"></a>
 <h3 class="boxed">New Features</h3>
 <p>This is a bug fix release which also provides localizations of new 10.6 messages. No new features were added.</p>
 <ul>
 <li>
 <strong>DERBY-4677</strong> - This release addresses a data corruption issue. See Issues or <a class="external" href="http://issues.apache.org/jira/browse/DERBY-4677">DERBY-4677</a> for unique index corruption detection and repair.</li>
 </ul>
-<a name="Bug+Fixes"></a>
+<a name="N100E8"></a><a name="Bug+Fixes"></a>
 <h3 class="boxed">Bug Fixes</h3>
 <p>The following issues are addressed by Derby release 10.6.2.1. These issues are not addressed in the preceding 10.6.1.0 release.</p>
 <table class="ForrestTable" cellspacing="1" cellpadding="4" border="2">
@@ -709,7 +708,7 @@ document.write("Last Published: " + docu
 <td><a class="external" href="https://issues.apache.org/jira/browse/DERBY-1595">DERBY-1595</a></td><td>Network server fails with DRDAProtocolException if a BLOB with size 2147483647 is streamed from client</td>
 </tr>
 </table>
-<a name="Issues"></a>
+<a name="N10218"></a><a name="Issues"></a>
 <h3 class="boxed">Issues</h3>
 <p>Compared with the previous release (10.6.1.0), Derby release 10.6.2.1 introduces the following new features and incompatibilities. These merit your special attention.</p>
 <ul>
@@ -717,18 +716,18 @@ document.write("Last Published: " + docu
 <li>Note for DERBY-2925: Prevent export from overwriting existing files</li>
 </ul>
 <hr>
-<a name="Note+for+DERBY-4677"></a>
+<a name="N10226"></a><a name="Note+for+DERBY-4677"></a>
 <h4>Note for DERBY-4677</h4>
-<a name="Summary+of+Change"></a>
+<a name="N1022C"></a><a name="Summary+of+Change"></a>
 <h5>Summary of Change</h5>
 <p>Unique nullable constraint may be disabled after compress or import operations on the table.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
+<a name="N10232"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>Prior to DERBY-4677 fix, the unique nullable constraint might have been disabled or violated after calls to SYSCS_UTIL.SYSCS_COMPRESS_TABLE, or SYSCS_UTIL.SYSCS_IMPORT_TABLE. While the DERBY-4677 fix corrects the problem for new indexes, it does not automatically repair damage to existing indexes. Applications using unique nullable indexes, (first allowed in version 10.4.2.1) may find that duplicate rows exist, despite the table being created with the unique constraint. In addition to the obvious problem of this being allowed, users may also see incorrect query results where one row is returned even though there are multiple qualifying rows.</p>
-<a name="Rationale+for+Change"></a>
+<a name="N10238"></a><a name="Rationale+for+Change"></a>
 <h5>Rationale for Change</h5>
 <p>The change fixed a serious bug that allowed duplicate rows despite a unique index. Users should upgrade and manually resolve prior damage as described below.</p>
-<a name="Application+Changes+Required"></a>
+<a name="N1023E"></a><a name="Application+Changes+Required"></a>
 <h5>Application Changes Required</h5>
 <p>Users using unique nullable indexes (Derby 10.4 and higher) should upgrade immediately to a Derby version that contains the fix for DERBY-4677 AND drop and recreate those indexes. The fix was made in the following revisions.</p>
 <pre></pre>
@@ -749,12 +748,12 @@ document.write("Last Published: " + docu
 </pre>
 <hr>
 <pre></pre>
-<a name="Note+for+DERBY-2925"></a>
+<a name="N10251"></a><a name="Note+for+DERBY-2925"></a>
 <h4>Note for DERBY-2925</h4>
 <pre>
 
 </pre>
-<a name="Summary+of+Change-N10250"></a>
+<a name="N10259"></a><a name="Summary+of+Change-N10259"></a>
 <h5>Summary of Change</h5>
 <pre>
 
@@ -763,7 +762,7 @@ document.write("Last Published: " + docu
 
 
 </pre>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10258"></a>
+<a name="N10261"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10261"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <pre>
 
@@ -774,7 +773,7 @@ will not overwrite existing files. As a
 <pre>
 
 </pre>
-<a name="Incompatibilities+with+Previous+Release"></a>
+<a name="N1026B"></a><a name="Incompatibilities+with+Previous+Release"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <pre></pre>
 <ul>
@@ -786,7 +785,7 @@ will not overwrite existing files. As a
 
 
 </pre>
-<a name="Rationale+for+Change-N10270"></a>
+<a name="N10279"></a><a name="Rationale+for+Change-N10279"></a>
 <h5>Rationale for Change</h5>
 <pre>
 
@@ -795,7 +794,7 @@ will not overwrite existing files. As a
 
 
 </pre>
-<a name="Application+Changes+Required-N10278"></a>
+<a name="N10281"></a><a name="Application+Changes+Required-N10281"></a>
 <h5>Application Changes Required</h5>
 <pre>
 
@@ -805,7 +804,7 @@ will not overwrite existing files. As a
 
 
 </pre>
-<a name="Build+Environment"></a>
+<a name="N10289"></a><a name="Build+Environment"></a>
 <h3 class="boxed">Build Environment</h3>
 <pre>
 <br>Derby release 10.6.2.1 was built using the following environment:
@@ -824,7 +823,7 @@ will not overwrite existing files. As a
 <li>
 <strong>Compiler</strong> - Sun 1.6.0_13_b03</li>
 </ul>
-<a name="Verifying+releases"></a>
+<a name="N102AB"></a><a name="Verifying+releases"></a>
 <h3 class="boxed">Verifying releases</h3>
 <p>It is essential that you verify the integrity of the downloaded files using the PGP and MD5 signatures. MD5 verification ensures the file was not corrupted during the download process. PGP verification ensures that the file came from a certain person.</p>
 <p>The PGP signatures can be verified using <a class="external" href="http://www.pgpi.org/">PGP</a> or <a class="external" href="http://www.gnupg.org/">GPG</a>. First download the Apache Derby <a class="external" href="http://www.apache.org/dist/db/derby/KEYS">KEYS</a> as well as the <span class="codefrag">asc</span> signature file for the particular distribution. It is important that you get these files from the ultimate trusted source - the main ASF distribution site, rather than from a mirror. Then verify the signatures using ...</p>
@@ -862,7 +861,7 @@ document.write("Last Published: " + docu
 </div>
 <div class="copyright">
         Copyright &copy;
-         2004-2015 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
+         2004-2017 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
 <div id="feedback">
     Send feedback about the website to:
   <a id="feedbackto" href="mailto:[hidden email]?subject=Feedback%C2%A0releases/release-10.6.2.1.html">[hidden email]</a>

Modified: websites/production/db/content/derby/releases/release-10.7.1.1.html
==============================================================================
--- websites/production/db/content/derby/releases/release-10.7.1.1.html (original)
+++ websites/production/db/content/derby/releases/release-10.7.1.1.html Sat Oct 14 18:58:50 2017
@@ -3,8 +3,9 @@
 <head>
 <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta content="Apache Forrest" name="Generator">
-<meta name="Forrest-version" content="0.9">
+<meta name="Forrest-version" content="0.8">
 <meta name="Forrest-skin-name" content="pelt">
+<meta name="generator" content="">
 <title>Apache Derby 10.7.1.1 Release</title>
 <link type="text/css" href="../skin/basic.css" rel="stylesheet">
 <link media="screen" type="text/css" href="../skin/screen.css" rel="stylesheet">
@@ -484,7 +485,6 @@ document.write("Last Published: " + docu
           &nbsp;<input value="+a" class="biggerfont" title="Enlarge text" onclick="ndeSetTextSize('incr'); return false;" type="button">
 </div>
 <h1>Apache Derby 10.7.1.1 Release</h1>
-<div id="front-matter">
 <div id="minitoc-area">
 <ul class="minitoc">
 <li>
@@ -535,8 +535,7 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 </div>
-</div>
-<a name="Distributions"></a>
+<a name="N10010"></a><a name="Distributions"></a>
 <h2 class="boxed">Distributions</h2>
 <div class="section">
 <p>Use the links below to download a distribution of Apache Derby. You should <strong>always</strong> <a href="#Verifying Releases">verify the integrity</a> of distribution files downloaded from a mirror.</p>
@@ -569,11 +568,11 @@ document.write("Last Published: " + docu
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.7.1.1/derby_ui_doc_plugin_1.1.2.zip">derby_ui_doc_plugin_1.1.2.zip</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.7.1.1/derby_ui_doc_plugin_1.1.2.zip.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.7.1.1/derby_ui_doc_plugin_1.1.2.zip.md5">MD5</a>]</p>
 <p>Please note: both plugins must be installed for full functionality. For information on installing and using the Derby plugins for Eclipse, please see the <a href="http://db.apache.org/derby/integrate/plugin_howto.html">Using the 10 Core and 1.1 UI Derby plug-ins</a> page.</p>
 </div>
-<a name="Release Notes for Apache Derby 10.7.1.1"></a>
+<a name="N100BC"></a><a name="Release Notes for Apache Derby 10.7.1.1"></a>
 <h2 class="boxed">Release Notes for Apache Derby 10.7.1.1</h2>
 <div class="section">
 <p>These notes describe the difference between Apache Derby release 10.7.1.1 and the preceding release 10.6.2.1.</p>
-<a name="Overview"></a>
+<a name="N100C4"></a><a name="Overview"></a>
 <h3 class="boxed">Overview</h3>
 <p>The most up to date information about Derby releases can be found on the <a href="http://db.apache.org/derby/derby_downloads.html">Derby download page</a>.</p>
 <p>Apache Derby is a pure Java relational database engine using standard SQL and JDBC as its APIs. More information about Derby can be found on the <a href="http://db.apache.org/derby/">Apache web site</a>. Derby functionality includes:</p>
@@ -583,7 +582,7 @@ document.write("Last Published: " + docu
 <li>Network client JDBC drivers</li>
 <li>Command line tools: ij (SQL scripting), dblook (schema dump) and sysinfo (system info)</li>
 </ul>
-<a name="New+Features"></a>
+<a name="N100DF"></a><a name="New+Features"></a>
 <h3 class="boxed">New Features</h3>
 <p>This is a feature release. The following new features were added:</p>
 <ul>
@@ -598,7 +597,7 @@ document.write("Last Published: " + docu
 <li>
 <strong>Unicode database names</strong> - Remote clients can now use database names which include Unicode characters outside the ASCII codeset.</li>
 </ul>
-<a name="Bug+Fixes"></a>
+<a name="N100FC"></a><a name="Bug+Fixes"></a>
 <h3 class="boxed">Bug Fixes</h3>
 <p>The following issues are addressed by Derby release 10.7.1.1. These issues are not addressed in the preceding 10.6.2.1 release.</p>
 <table class="ForrestTable" cellspacing="1" cellpadding="4" border="2">
@@ -1002,16 +1001,16 @@ document.write("Last Published: " + docu
 <td><a class="external" href="https://issues.apache.org/jira/browse/DERBY-462">DERBY-462</a></td><td>DatabaseMetaData method supportsConvert() returns true</td>
 </tr>
 </table>
-<a name="Issues"></a>
+<a name="N104A9"></a><a name="Issues"></a>
 <h3 class="boxed">Issues</h3>
 <p>Compared with the previous release (10.6.2.1), Derby release 10.7.1.1 introduces the following new features and incompatibilities. These merit your special attention.</p>
 <hr>
-<a name="Note+for+DERBY-4786"></a>
+<a name="N104B2"></a><a name="Note+for+DERBY-4786"></a>
 <h4>Note for DERBY-4786</h4>
-<a name="Summary+of+Change"></a>
+<a name="N104B8"></a><a name="Summary+of+Change"></a>
 <h5>Summary of Change</h5>
 <p>A shutdown request with no user credentials to a 10.3 (or earlier) server from a newer client will give multiple messages on both the server and client sides.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
+<a name="N104BE"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>A shutdown request from a 10.4 (or higher) client with no user credentials to a 10.3 (or earlier) server shows the following messages on the server side. (Note that the version info about the product changes depending on the release being used for the server.)</p>
 <pre>java.lang.Throwable: DRDA_UnknownProtocol.S, 2
@@ -1022,96 +1021,96 @@ Apache Derby Network Server - 10.3.3.1 -
 <pre>Invalid reply header from network server: Invalid string . Plaintext connection attempt to an SSL enabled server?
 Apache Derby Network Server - 10.7.1.0 - (1) shutdown
 </pre>
-<a name="Rationale+for+Change"></a>
+<a name="N104CA"></a><a name="Rationale+for+Change"></a>
 <h5>Rationale for Change</h5>
 <p>10.3 (and earlier) versions do not support shutdown commands with credentials. The credential-bearing shutdown command was introduced in 10.4 and requires network protocol level 2. 10.3 and earlier versions understand protocol level 1 and do not recognize the credential-bearing shutdown command. Because of this, a 10.4 (or higher) client can't shutdown a 10.3 (or lower) server. With DERBY-4786, a 10.7 client will first try the shutdown at protocol level 2. If that does not succeed, then the 10.7 client will send the shutdown at protocol level 1. This fix has been backported to the 10.4, 10.5, and 10.6 branches also. Future releases on those branches will enjoy this ability to successfully shutdown 10.3 (and earlier) servers.</p>
 <hr>
-<a name="Note+for+DERBY-4777"></a>
+<a name="N104D1"></a><a name="Note+for+DERBY-4777"></a>
 <h4>Note for DERBY-4777</h4>
-<a name="Summary+of+Change-N104CE"></a>
+<a name="N104D7"></a><a name="Summary+of+Change-N104D7"></a>
 <h5>Summary of Change</h5>
 <p>When a network client attempts to update through an invalid cursor, Derby now throws 'ERROR 42X30' instead of 'ERROR XJ202'.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N104D4"></a>
+<a name="N104DD"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N104DD"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>In previous releases, Derby threw 'ERROR XJ202' when a network client tried to update through a closed or nonexistent cursor. For a cursor named "JDK4", the detailed message was "ERROR XJ202: Invalid cursor name 'JDK4'." If you are running 10.7, however, Derby now throws 'ERROR 42X30' instead, and the detailed message is "ERROR 42X30: Cursor 'JDK4' not found. Verify that autocommit is OFF."</p>
 <p>From now on, DERBY performs identically in Client and Embedded modes when you attempt to update through a closed or nonexistent cursor.</p>
-<a name="Incompatibilities+with+Previous+Release"></a>
+<a name="N104E5"></a><a name="Incompatibilities+with+Previous+Release"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Applications may fail if they expect 'ERROR XJ202' to be thrown in this situation.</p>
-<a name="Rationale+for+Change-N104E2"></a>
+<a name="N104EB"></a><a name="Rationale+for+Change-N104EB"></a>
 <h5>Rationale for Change</h5>
 <p>This change was made so that the Client and Embedded behavior would be similar.</p>
-<a name="Application+Changes+Required"></a>
+<a name="N104F1"></a><a name="Application+Changes+Required"></a>
 <h5>Application Changes Required</h5>
 <p>If applications need to track updates through invalid cursors, those applications should look for 'ERROR 42X30' regardless of whether they run in Client or Embedded mode.</p>
 <hr>
-<a name="Note+for+DERBY-4772"></a>
+<a name="N104F8"></a><a name="Note+for+DERBY-4772"></a>
 <h4>Note for DERBY-4772</h4>
-<a name="Summary+of+Change-N104F5"></a>
+<a name="N104FE"></a><a name="Summary+of+Change-N104FE"></a>
 <h5>Summary of Change</h5>
 <p>Column types in the XPLAIN tables changed to accommodate more data.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N104FB"></a>
+<a name="N10504"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10504"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>None.</p>
-<a name="Incompatibilities+with+Previous+Release-N10501"></a>
+<a name="N1050A"></a><a name="Incompatibilities+with+Previous+Release-N1050A"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>None, but keeping the old table definitions for the XPLAIN tables may result in data truncation errors (see DERBY-4772 and DERBY-4673).</p>
-<a name="Rationale+for+Change-N10507"></a>
+<a name="N10510"></a><a name="Rationale+for+Change-N10510"></a>
 <h5>Rationale for Change</h5>
 <p>Amount of recorded data was too large to fit into the old column definitions.</p>
-<a name="Application+Changes+Required-N1050D"></a>
+<a name="N10516"></a><a name="Application+Changes+Required-N10516"></a>
 <h5>Application Changes Required</h5>
 <p>It is recommended to drop existing XPLAIN tables and have them recreated with the new table definitions. This can be done by disabling the XPLAIN feature, dropping the tables, and then enable the XPLAIN feature again. Alternatively, if you want to keep existing data, specify a different schema to save XPLAIN data in.</p>
 <hr>
-<a name="Note+for+DERBY-4577"></a>
+<a name="N1051D"></a><a name="Note+for+DERBY-4577"></a>
 <h4>Note for DERBY-4577</h4>
-<a name="Summary+of+Change-N1051A"></a>
+<a name="N10523"></a><a name="Summary+of+Change-N10523"></a>
 <h5>Summary of Change</h5>
 <p>UPDATE statements should not raise the following error: "ERROR nospc: nospc.U"</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10520"></a>
+<a name="N10529"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10529"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>An UPDATE of a row which spans multiple pages can fail, raising "ERROR nospc: nospc.U". This error should never be returned to the client. The error is very timing and data dependent, and has been encountered in only a few applications.</p>
-<a name="Rationale+for+Change-N10526"></a>
+<a name="N1052F"></a><a name="Rationale+for+Change-N1052F"></a>
 <h5>Rationale for Change</h5>
 <p>UPDATES of rows may fail in some cases, returning this error which clients should never see.</p>
-<a name="Application+Changes+Required-N1052C"></a>
+<a name="N10535"></a><a name="Application+Changes+Required-N10535"></a>
 <h5>Application Changes Required</h5>
 <p>After applying the fix, clients should not see this error. To ensure that updates of existing rows no longer see this error, run the SYSCS_UTIL.SYSCS_COMPRESS_TABLE() system procedure on your tables. You may want to defensively compress all of your tables. Alternatively, it is also ok to wait and see if the error occurs and then only compress the tables that encounter the error.</p>
 <hr>
-<a name="Note+for+DERBY-4314"></a>
+<a name="N1053C"></a><a name="Note+for+DERBY-4314"></a>
 <h4>Note for DERBY-4314</h4>
-<a name="Summary+of+Change-N10539"></a>
+<a name="N10542"></a><a name="Summary+of+Change-N10542"></a>
 <h5>Summary of Change</h5>
 <p>Derby client <tt>Connection.setTransactionIslation</tt> will not commit if isolation level does not change.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10542"></a>
+<a name="N1054B"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N1054B"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>Applications relying on <tt>Connection.setTransactionIsolation</tt> to commit transactions, may see either errors related to transactions in progress or transactions that fail to commit.</p>
-<a name="Incompatibilities+with+Previous+Release-N1054B"></a>
+<a name="N10554"></a><a name="Incompatibilities+with+Previous+Release-N10554"></a>
 <h5>Incompatibilities with Previous Release</h5>
 <p>Before 10.6.1.0, derby client <tt>Connection.setTransactionIsolation</tt> would commit even if isolation has not changed. Starting with 10.6.1.0, derby client <tt>Connection.setTransactionIsolatin</tt> does not commit if the isolation has not changed.</p>
-<a name="Rationale+for+Change-N10557"></a>
+<a name="N10560"></a><a name="Rationale+for+Change-N10560"></a>
 <h5>Rationale for Change</h5>
 <p>The change was made to client to match behavior of the embedded driver and to improve client performance.</p>
-<a name="Application+Changes+Required-N1055D"></a>
+<a name="N10566"></a><a name="Application+Changes+Required-N10566"></a>
 <h5>Application Changes Required</h5>
 <p>Applications should not rely on transactions change based on calling <tt>Connection.setTransactionIsolation</tt>. An explicit commit should be called to ensure transactions commit.</p>
 <hr>
-<a name="Note+for+DERBY-1511"></a>
+<a name="N10570"></a><a name="Note+for+DERBY-1511"></a>
 <h4>Note for DERBY-1511</h4>
-<a name="Summary+of+Change-N1056D"></a>
+<a name="N10576"></a><a name="Summary+of+Change-N10576"></a>
 <h5>Summary of Change</h5>
 <p>Queries will not bulk fetch rows with large object columns if the cursor is holdable.</p>
-<a name="Symptoms+Seen+by+Applications+Affected+by+Change-N10573"></a>
+<a name="N1057C"></a><a name="Symptoms+Seen+by+Applications+Affected+by+Change-N1057C"></a>
 <h5>Symptoms Seen by Applications Affected by Change</h5>
 <p>Queries that perform full table scans in order to fetch relatively small BLOB or CLOB values, may need longer time to complete than they did in previous releases. This only affects queries that are executed on a <span class="codefrag">Statement</span> (or <span class="codefrag">PreparedStatement</span> or <span class="codefrag">CallableStatement</span>) that has the <span class="codefrag">ResultSet.HOLD_CURSORS_OVER_COMMIT</span> flag set.</p>
-<a name="Rationale+for+Change-N10585"></a>
+<a name="N1058E"></a><a name="Rationale+for+Change-N1058E"></a>
 <h5>Rationale for Change</h5>
 <p>The bulk fetching that happened in previous releases, was not a safe optimization if the fetched rows contained large object columns (BLOB or CLOB) and the cursor was holdable. If the transaction was committed in the middle of a scan, the pre-fetched large objects cached inside the scan would be closed, and they would not be valid for use when they were later returned to the application. To prevent certain ways to access large objects from failing, the optimization was disabled for the cases where it was not known to be safe.</p>
-<a name="Application+Changes+Required-N1058B"></a>
+<a name="N10594"></a><a name="Application+Changes+Required-N10594"></a>
 <h5>Application Changes Required</h5>
 <p>The queries affected by this change will run with no performance degradation compared to previous releases if the application can be rewritten to use non-holdable cursors. This can be achieved by calling <span class="codefrag">Connection.setHoldability()</span> with the <span class="codefrag">ResultSet.CLOSE_CURSORS_AT_COMMIT</span> flag before creating the statement instance, or by supplying that flag to <span class="codefrag">Connection</span>'s <span class="codefrag">createStatement()</span>, <span class="codefrag">prepareStatement()</span> or <span class="codefrag">prepareCall()</span> method in the <span class="codefrag">resultSetHoldability</span> parameter.</p>
 <p>Alternatively, if all the BLOB and CLOB values in the table in question are small enough to fit in a VARCHAR FOR BIT DATA column or in a VARCHAR column, one may change the type of the LOB columns to one of these other data types, and the query will again be allowed to use the bulk fetch optimization.</p>
-<a name="Build+Environment"></a>
+<a name="N105B1"></a><a name="Build+Environment"></a>
 <h3 class="boxed">Build Environment</h3>
 <p>Derby release 10.7.1.1 was built using the following environment:</p>
 <ul>
@@ -1130,7 +1129,7 @@ Apache Derby Network Server - 10.7.1.0 -
 <li>
 <strong>JSR 169</strong> - J2ME support was built using libraries from phoneME Advanced Milestone Release 2.</li>
 </ul>
-<a name="Verifying+Releases"></a>
+<a name="N105D6"></a><a name="Verifying+Releases"></a>
 <h3 class="boxed">Verifying Releases</h3>
 <p>It is essential that you verify the integrity of the downloaded files using the PGP and MD5 signatures. MD5 verification ensures the file was not corrupted during the download process. PGP verification ensures that the file came from a certain person.</p>
 <p>The PGP signatures can be verified using <a class="external" href="http://www.pgpi.org/">PGP</a> or <a class="external" href="http://www.gnupg.org/">GPG</a>. First download the Apache Derby <a class="external" href="http://www.apache.org/dist/db/derby/KEYS">KEYS</a> as well as the <span class="codefrag">asc</span> signature file for the particular distribution. It is important that you get these files from the ultimate trusted source - the main ASF distribution site, rather than from a mirror. Then verify the signatures using ...</p>
@@ -1168,7 +1167,7 @@ document.write("Last Published: " + docu
 </div>
 <div class="copyright">
         Copyright &copy;
-         2004-2015 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
+         2004-2017 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
 <div id="feedback">
     Send feedback about the website to:
   <a id="feedbackto" href="mailto:[hidden email]?subject=Feedback%C2%A0releases/release-10.7.1.1.html">[hidden email]</a>

Modified: websites/production/db/content/derby/releases/release-10.8.1.2.html
==============================================================================
--- websites/production/db/content/derby/releases/release-10.8.1.2.html (original)
+++ websites/production/db/content/derby/releases/release-10.8.1.2.html Sat Oct 14 18:58:50 2017
@@ -3,8 +3,9 @@
 <head>
 <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta content="Apache Forrest" name="Generator">
-<meta name="Forrest-version" content="0.9">
+<meta name="Forrest-version" content="0.8">
 <meta name="Forrest-skin-name" content="pelt">
+<meta name="generator" content="">
 <title>Apache Derby 10.8.1.2 Release</title>
 <link type="text/css" href="../skin/basic.css" rel="stylesheet">
 <link media="screen" type="text/css" href="../skin/screen.css" rel="stylesheet">
@@ -484,7 +485,6 @@ document.write("Last Published: " + docu
           &nbsp;<input value="+a" class="biggerfont" title="Enlarge text" onclick="ndeSetTextSize('incr'); return false;" type="button">
 </div>
 <h1>Apache Derby 10.8.1.2 Release</h1>
-<div id="front-matter">
 <div id="minitoc-area">
 <ul class="minitoc">
 <li>
@@ -515,8 +515,7 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 </div>
-</div>
-<a name="Distributions"></a>
+<a name="N10010"></a><a name="Distributions"></a>
 <h2 class="boxed">Distributions</h2>
 <div class="section">
 <p>Use the links below to download a distribution of Apache Derby. You should <strong>always</strong> <a href="#Verifying Releases">verify the integrity</a> of distribution files downloaded from a mirror.</p>
@@ -549,13 +548,13 @@ document.write("Last Published: " + docu
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.1.2/derby_ui_doc_plugin_1.1.3.zip">derby_ui_doc_plugin_1.1.3.zip</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.1.2/derby_ui_doc_plugin_1.1.3.zip.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.1.2/derby_ui_doc_plugin_1.1.3.zip.md5">MD5</a>]</p>
 <p>Please note: both plugins must be installed for full functionality. For information on installing and using the Derby plugins for Eclipse, please see the <a href="http://db.apache.org/derby/integrate/plugin_howto.html">Using the 10 Core and 1.1 UI Derby plug-ins</a> p age.</p>
 </div>
-<a name="Release Notes for Apache Derby 10.8.1.2"></a>
+<a name="N100BC"></a><a name="Release Notes for Apache Derby 10.8.1.2"></a>
 <h2 class="boxed">Release Notes for Apache Derby 10.8.1.2</h2>
 <div class="section">
 <div>
 <p>These notes describe the difference between Apache Derby release 10.8.1.2 and the preceding release 10.7.1.1.</p>
 </div>
-<a name="Overview"></a>
+<a name="N100C5"></a><a name="Overview"></a>
 <h3 class="boxed">Overview</h3>
 <div>
 <p>The most up to date information about Derby releases can be found on the <a href="http://db.apache.org/derby/derby_downloads.html">Derby download page</a>.</p>
@@ -574,7 +573,7 @@ document.write("Last Published: " + docu
 <br>
 <br>
 </div>
-<a name="New+Features"></a>
+<a name="N100EA"></a><a name="New+Features"></a>
 <h3 class="boxed">New Features</h3>
 <div>
 <p>This is a feature release. The following new features were added:</p>
@@ -591,7 +590,7 @@ document.write("Last Published: " + docu
 <strong>XML operator portability</strong> - The xmlparse and xmlserialize operators work out-of-the-box on more platforms.</li>
 </ul>
 </div>
-<a name="Bug+Fixes"></a>
+<a name="N1010E"></a><a name="Bug+Fixes"></a>
 <h3 class="boxed">Bug Fixes</h3>
 <div>
 <p>The following issues are addressed by Derby release 10.8.1.2. These issues are not addressed in the preceding 10.7.1.1 release.</p>
@@ -1129,7 +1128,7 @@ document.write("Last Published: " + docu
 </tr>
 </table>
 </div>
-<a name="Issues"></a>
+<a name="N105F0"></a><a name="Issues"></a>
 <h3 class="boxed">Issues</h3>
 <div>
 <p>Compared with the previous release (10.7.1.1), Derby release 10.8.1.2 introduces the following new features and incompatibilities. These merit your special attention.</p>
@@ -1605,7 +1604,7 @@ document.write("Last Published: " + docu
 <p>Installation of Xalan-Java may require the Endorsed Standards Override Mechanism. This is described in the "XML data types and operators" section of the Derby Developer's Guide.</p>
 </div>
 </div>
-<a name="Build+Environment"></a>
+<a name="N1076A"></a><a name="Build+Environment"></a>
 <h3 class="boxed">Build Environment</h3>
 <div>
 <p>Derby release 10.8.1.2 was built using the following environment:</p>
@@ -1626,7 +1625,7 @@ document.write("Last Published: " + docu
 <strong>JSR 169</strong> - Java ME support was built using libraries from phoneME Advanced Milestone Release 2.</li>
 </ul>
 </div>
-<a name="Verifying+Releases"></a>
+<a name="N10790"></a><a name="Verifying+Releases"></a>
 <h3 class="boxed">Verifying Releases</h3>
 <div>
 <p>It is essential that you verify the integrity of the downloaded files using the PGP and MD5 signatures. MD5 verification ensures the file was not corrupted during the download process. PGP verification ensures that the file came from a certain person.</p>
@@ -1666,7 +1665,7 @@ document.write("Last Published: " + docu
 </div>
 <div class="copyright">
         Copyright &copy;
-         2004-2015 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
+         2004-2017 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
 <div id="feedback">
     Send feedback about the website to:
   <a id="feedbackto" href="mailto:[hidden email]?subject=Feedback%C2%A0releases/release-10.8.1.2.html">[hidden email]</a>

Modified: websites/production/db/content/derby/releases/release-10.8.2.2.html
==============================================================================
--- websites/production/db/content/derby/releases/release-10.8.2.2.html (original)
+++ websites/production/db/content/derby/releases/release-10.8.2.2.html Sat Oct 14 18:58:50 2017
@@ -3,8 +3,9 @@
 <head>
 <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta content="Apache Forrest" name="Generator">
-<meta name="Forrest-version" content="0.9">
+<meta name="Forrest-version" content="0.8">
 <meta name="Forrest-skin-name" content="pelt">
+<meta name="generator" content="">
 <title>Apache Derby 10.8.2.2 Release</title>
 <link type="text/css" href="../skin/basic.css" rel="stylesheet">
 <link media="screen" type="text/css" href="../skin/screen.css" rel="stylesheet">
@@ -484,7 +485,6 @@ document.write("Last Published: " + docu
           &nbsp;<input value="+a" class="biggerfont" title="Enlarge text" onclick="ndeSetTextSize('incr'); return false;" type="button">
 </div>
 <h1>Apache Derby 10.8.2.2 Release</h1>
-<div id="front-matter">
 <div id="minitoc-area">
 <ul class="minitoc">
 <li>
@@ -515,8 +515,7 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 </div>
-</div>
-<a name="Distributions"></a>
+<a name="N10010"></a><a name="Distributions"></a>
 <h2 class="boxed">Distributions</h2>
 <div class="section">
 <p>Use the links below to download a distribution of Apache Derby. You should <strong>always</strong> <a href="#Verifying Releases">verify the integrity</a> of distribution files downloaded from a mirror.</p>
@@ -549,13 +548,13 @@ document.write("Last Published: " + docu
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.2.2/derby_ui_doc_plugin_1.1.3.zip">derby_ui_doc_plugin_1.1.3.zip</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.2.2/derby_ui_doc_plugin_1.1.3.zip.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.2.2/derby_ui_doc_plugin_1.1.3.zip.md5">MD5</a>]</p>
 <p>Please note: both plugins must be installed for full functionality. For information on installing and using the Derby plugins for Eclipse, please see the <a href="http://db.apache.org/derby/integrate/plugin_howto.html">Using the 10 Core and 1.1 UI Derby plug-ins</a> p age.</p>
 </div>
-<a name="Release Notes for Apache Derby 10.8.2.2"></a>
+<a name="N100BC"></a><a name="Release Notes for Apache Derby 10.8.2.2"></a>
 <h2 class="boxed">Release Notes for Apache Derby 10.8.2.2</h2>
 <div class="section">
 <div>
 <p>These notes describe the difference between Apache Derby release 10.8.2.2 and the preceding release 10.8.1.2.</p>
 </div>
-<a name="Overview"></a>
+<a name="N100C5"></a><a name="Overview"></a>
 <h3 class="boxed">Overview</h3>
 <div>
 <p>The most up to date information about Derby releases can be found on the <a href="http://db.apache.org/derby/derby_downloads.html">Derby download page</a>.</p>
@@ -572,12 +571,12 @@ document.write("Last Published: " + docu
 <li>Java ME CDC/Foundation Profile 1.1 with JSR-169 JDBC Optional Package for CDC/Foundation Profile.</li>
 </ul>
 </div>
-<a name="New+Features"></a>
+<a name="N100E8"></a><a name="New+Features"></a>
 <h3 class="boxed">New Features</h3>
 <div>
 <p>This is a bug fix release. No new features were added.</p>
 </div>
-<a name="Bug+Fixes"></a>
+<a name="N100F1"></a><a name="Bug+Fixes"></a>
 <h3 class="boxed">Bug Fixes</h3>
 <div>
 <p>The following issues are addressed by Derby release 10.8.2.2. These issues are not addressed in the preceding 10.8.1.2 release.</p>
@@ -935,7 +934,7 @@ document.write("Last Published: " + docu
 </tr>
 </table>
 </div>
-<a name="Issues"></a>
+<a name="N1042F"></a><a name="Issues"></a>
 <h3 class="boxed">Issues</h3>
 <div>
 <p>Compared with the previous release (10.8.1.2), Derby release 10.8.2.2 introduces the following new features and incompatibilities. These merit your special attention.</p>
@@ -998,7 +997,7 @@ grant execute on function safeCacheViewe
 </pre>
 </div>
 </div>
-<a name="Build+Environment"></a>
+<a name="N1046E"></a><a name="Build+Environment"></a>
 <h3 class="boxed">Build Environment</h3>
 <div>
 <p>Derby release 10.8.2.2 was built using the following environment:</p>
@@ -1019,7 +1018,7 @@ grant execute on function safeCacheViewe
 <strong>JSR 169</strong> - Java ME support was built using libraries from IBM's j9 jvm from WEME 6.2.</li>
 </ul>
 </div>
-<a name="Verifying+Releases"></a>
+<a name="N10494"></a><a name="Verifying+Releases"></a>
 <h3 class="boxed">Verifying Releases</h3>
 <div>
 <p>It is essential that you verify the integrity of the downloaded files using the PGP and MD5 signatures. MD5 verification ensures the file was not corrupted during the download process. PGP verification ensures that the file came from a certain person.</p>
@@ -1059,7 +1058,7 @@ document.write("Last Published: " + docu
 </div>
 <div class="copyright">
         Copyright &copy;
-         2004-2015 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
+         2004-2017 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
 <div id="feedback">
     Send feedback about the website to:
   <a id="feedbackto" href="mailto:[hidden email]?subject=Feedback%C2%A0releases/release-10.8.2.2.html">[hidden email]</a>

Modified: websites/production/db/content/derby/releases/release-10.8.3.0.html
==============================================================================
--- websites/production/db/content/derby/releases/release-10.8.3.0.html (original)
+++ websites/production/db/content/derby/releases/release-10.8.3.0.html Sat Oct 14 18:58:50 2017
@@ -3,8 +3,9 @@
 <head>
 <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta content="Apache Forrest" name="Generator">
-<meta name="Forrest-version" content="0.9">
+<meta name="Forrest-version" content="0.8">
 <meta name="Forrest-skin-name" content="pelt">
+<meta name="generator" content="">
 <title>Apache Derby 10.8.3.0 Release</title>
 <link type="text/css" href="../skin/basic.css" rel="stylesheet">
 <link media="screen" type="text/css" href="../skin/screen.css" rel="stylesheet">
@@ -484,7 +485,6 @@ document.write("Last Published: " + docu
           &nbsp;<input value="+a" class="biggerfont" title="Enlarge text" onclick="ndeSetTextSize('incr'); return false;" type="button">
 </div>
 <h1>Apache Derby 10.8.3.0 Release</h1>
-<div id="front-matter">
 <div id="minitoc-area">
 <ul class="minitoc">
 <li>
@@ -515,8 +515,7 @@ document.write("Last Published: " + docu
 </li>
 </ul>
 </div>
-</div>
-<a name="Distributions"></a>
+<a name="N10010"></a><a name="Distributions"></a>
 <h2 class="boxed">Distributions</h2>
 <div class="section">
 <p>Use the links below to download a distribution of Apache Derby. You should <strong>always</strong> <a href="#Verifying Releases">verify the integrity</a> of distribution files downloaded from a mirror.</p>
@@ -540,13 +539,13 @@ document.write("Last Published: " + docu
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.3.0/db-derby-10.8.3.0-src.zip">db-derby-10.8.3.0-src.zip</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.3.0/db-derby-10.8.3.0-src.zip.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.3.0/db-derby-10.8.3.0-src.zip.md5">MD5</a> ]<br>
 <a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.3.0/db-derby-10.8.3.0-src.tar.gz">db-derby-10.8.3.0-src.tar.gz</a> [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.3.0/db-derby-10.8.3.0-src.tar.gz.asc">PGP</a>] [<a class="external" href="http://archive.apache.org/dist/db/derby/db-derby-10.8.3.0/db-derby-10.8.3.0-src.tar.gz.md5">MD5</a>] (Note that, due to long filenames, you will need gnu tar to unravel this tarball.)</p>
 </div>
-<a name="Release Notes for Apache Derby 10.8.3.0"></a>
+<a name="N10094"></a><a name="Release Notes for Apache Derby 10.8.3.0"></a>
 <h2 class="boxed">Release Notes for Apache Derby 10.8.3.0</h2>
 <div class="section">
 <div>
 <p>These notes describe the difference between Apache Derby release 10.8.3.0 and the preceding release 10.8.2.2.</p>
 </div>
-<a name="Overview"></a>
+<a name="N1009D"></a><a name="Overview"></a>
 <h3 class="boxed">Overview</h3>
 <div>
 <p>The most up to date information about Derby releases can be found on the <a href="http://db.apache.org/derby/derby_downloads.html">Derby download page</a>.</p>
@@ -563,12 +562,12 @@ document.write("Last Published: " + docu
 <li>Java ME CDC/Foundation Profile 1.1 with JSR-169 JDBC Optional Package for CDC/Foundation Profile.</li>
 </ul>
 </div>
-<a name="New+Features"></a>
+<a name="N100C0"></a><a name="New+Features"></a>
 <h3 class="boxed">New Features</h3>
 <div>
 <p>This is a bug fix release. No new features were added.</p>
 </div>
-<a name="Bug+Fixes"></a>
+<a name="N100C9"></a><a name="Bug+Fixes"></a>
 <h3 class="boxed">Bug Fixes</h3>
 <div>
 <p>The following issues are addressed by Derby release 10.8.3.0. These issues are not addressed in the preceding 10.8.2.2 release.</p>
@@ -832,7 +831,7 @@ document.write("Last Published: " + docu
 </tr>
 </table>
 </div>
-<a name="Issues"></a>
+<a name="N10327"></a><a name="Issues"></a>
 <h3 class="boxed">Issues</h3>
 <div>
 <p>Compared with the previous release (10.8.2.2), Derby release 10.8.3.0 introduces the following new features and incompatibilities. These merit your special attention.</p>
@@ -911,7 +910,7 @@ document.write("Last Published: " + docu
 <p>The data returned for join column value for a RIGHT OUTER JOIN with NATURAL/USING clause can now be different(and correct).</p>
 </div>
 </div>
-<a name="Build+Environment"></a>
+<a name="N10364"></a><a name="Build+Environment"></a>
 <h3 class="boxed">Build Environment</h3>
 <div>
 <p>Derby release 10.8.3.0 was built using the following environment:</p>
@@ -932,7 +931,7 @@ document.write("Last Published: " + docu
 <strong>JSR 169</strong> - Java ME support was built using libraries from IBM's j9 jvm from WEME 6.2.</li>
 </ul>
 </div>
-<a name="Verifying+Releases"></a>
+<a name="N1038A"></a><a name="Verifying+Releases"></a>
 <h3 class="boxed">Verifying Releases</h3>
 <div>
 <p>It is essential that you verify the integrity of the downloaded files using the PGP and MD5 signatures. MD5 verification ensures the file was not corrupted during the download process. PGP verification ensures that the file came from a certain person.</p>
@@ -972,7 +971,7 @@ document.write("Last Published: " + docu
 </div>
 <div class="copyright">
         Copyright &copy;
-         2004-2015 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
+         2004-2017 Apache, Apache DB, Apache Derby, Apache Torque, Apache JDO, Apache DDLUtils, the Derby hat logo, the Apache JDO logo, and the Apache feather logo are trademarks of The Apache Software Foundation. All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
 <div id="feedback">
     Send feedback about the website to:
   <a id="feedbackto" href="mailto:[hidden email]?subject=Feedback%C2%A0releases/release-10.8.3.0.html">[hidden email]</a>